// import {
//   getToken,
// } from '@/utils/auth'

const getDefaultState = () => {
  return {
    curPath: null,
    navBarFixed: false
  }
}

// const getCurPath= function(){}
const state = getDefaultState()

const mutations = {
  RESET_STATE: (state) => {
    Object.assign(state, getDefaultState())
  },
  SET_NAV_BAR: (state, path) => {
    state.curPath = path
  },
  SET_NAVBAR_FIXED: (state, isFixed) => {
    state.navBarFixed = isFixed
  }
}

const actions = {

}

export default {
  namespaced: true,
  state,
  mutations,
  actions
}
